1. Docs
  2. API Reference
  3. OAuthController_authorizePost

OAuthController_authorizePost

POST/oauth/authorize

Request body

application/json

emailstring Required
passwordstring Required
client_idstring Required
redirect_uristring Required
response_typestring Required
scopestring Required
statestring Required
code_challengestring Required
code_challenge_methodstring Required

Responses

200
Request
curl -X POST "https://auth.canopy-io.com/oauth/authorize" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "string",
    "password": "string",
    "client_id": "string",
    "redirect_uri": "string",
    "response_type": "string",
    "scope": "string",
    "state": "string",
    "code_challenge": "string",
    "code_challenge_method": "string"
  }'
Response
HTTP/1.1 200

(empty body)
Related endpoints Was this page helpful?

Tell us how we can improve this guide.